%define anolis_release 1

%global githubname QAT_Engine
%global enginesdir %(pkg-config --variable=enginesdir libcrypto)
%define abidir %{_prefix}/lib/compatibility/%{name}

Name:           qatengine
Version:        0.6.16
Release:        %{anolis_release}%{?dist}
Summary:        Intel QuickAssist Technology (QAT) OpenSSL Engine
License:        BSD and OpenSSL
URL:            https://github.com/intel/%{githubname}
Source0:        https://github.com/intel/%{githubname}/archive/v%{version}/v%{version}.tar.gz

BuildRequires:  gcc make pkg-config
BuildRequires:  autoconf automake libtool
BuildRequires:  openssl-devel >= 1.1.1
BuildRequires:  qatlib-devel >= 21.08.0
BuildRequires:  abi-dumper

ExclusiveArch:  x86_64

%description
This package provides the Intel QuickAssist Technology OpenSSL Engine
(an OpenSSL Plug-In Engine) which provides cryptographic acceleration
for both hardware and optimized software using Intel QuickAssist Technology
enabled Intel platforms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{githubname}-%{version} -p1

%build
autoreconf -ivf
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}/%{abidir}
pushd %{buildroot}/%{abidir}
for full_name in $(find %{buildroot} -name "*.so*") ; do
        f=`echo ${full_name##*/}`
        (file $full_name | grep "shared object" > /dev/null 2>&1 && abi-dumper $full_name -o $f.dump > /dev/null 2>&1) || echo "ok"
done
popd

rm -rf %{enginesdir}/qatengine.la

%files
%license LICENSE*
%dir %{abidir}
%{enginesdir}/qatengine.so
%{abidir}/qatengine.so.dump

%files doc
%doc README.md docs*

%changelog
* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-1
- Init package from upstream
